module DictEsp where   
   
import General
import Dictionary
import TypesEsp   
import RulesEsp   
import BuildEsp   
 
spanishDict :: Dictionary 
spanishDict = dictionary [   
-- nouns ending in -s   
-- have the same form in both sing and plur   
-- n3 = nounMasc . noNumNoun   
-- n4 = nounFem  . noNumNoun 	--are there any feminine forms if this type?   
 n3 "botones",   
 n3 "jueves",   	   
 n3 "lunes",     	   
 n3 "martes",   	   
 n3 "mircoles",   
 n3 "tapas",   
-- nouns without plur   
-- n5 = nounMasc . noPlural   
-- n6 = nounFem . noPlural   
 n5 "aleman",	--the language			   
 n5 "azcar",  			   
 n5 "calor",			   
 n5 "dinero",   
 n5 "espaol",   
 n5 "este",          
 n5 "euskera",			   
 n5 "fro",		   
 n5 "ingls",   
 n5 "nordeste",   
 n5 "norte",   
 n5 "oeste",   
 n5 "principio", 		   
 n5 "prisa",		   
 n5 "sur",           
 n5 "sureste",   
 n5 "suroeste",   
 n6 "gente",   
 n6 "hospitalidad",		   
 n6 "libertad",			   
 n6 "mantequilla",		   
 n6 "pobreza",			   
 n6 "propina",   
 n6 "ropa",   
 n6 "sed",			   
 n6 "visibilidad",		   
-- nouns without sing   
--n7 = nounMasc . noSing   
--n8 = nounFem  . noSing   
 n7 "celos",   
 n7 "gemelos",   
 n8 "tijeras",   
-- nouns with two genders  
 n9 "abogado", 
 n9 "abuelo",     
 n9 "alemn",    
 n9 "amigo",    
 n9 "argentino",    
 n9 "arquitecto",    
 n9 "artista",     
 n9 "azteca",  
 n9 "babieca",    
 n9 "belga",   
 n9 "camarero",     
 n9 "cantante",    
 n9 "chico",   
 n9 "chileno",   
 n9 "chino",   
 n9 "compaero",   
 n9 "comunista",    
 n9 "cubano",   
 n9 "doctor",     
 n9 "espaol",     
 n9 "estudiante",    
 n9 "extranjero",     
 n9 "francs",    
 n9 "futbolista",   
 n9 "gato",       
 n9 "hermano",   
 n9 "hijo",   
 n9 "indio",   
 n9 "ingeniero",   
 n9 "ingls",      
 n9 "italiano",   
 n9 "madrileo", 
 n9 "marroqu",      
 n9 "maya",  
 n9 "mecnico",    
 n9 "mestizo",  
 n9 "mozo",    
 n9 "nio",     
 n9 "novio",  
 n9 "oficinista",   
 n9 "pantuflo",           
 n9 "periodista",    
 n9 "perro",    
 n9 "pescador",     
 n9 "pianista",   
 n9 "pintor",   
 n9 "pobre",  
 n9 "profesor",   
 n9 "realista",     
 n9 "refugiado",  
 n9 "sembrador",  
 n9 "seor",    
 n9 "sobrino", 
 n9 "socialista",   
 n9 "sueco",    
 n9 "taxista",    
 n9 "trabajador",     
 n9 "turista",   
 n9 "uruguayo",   
 n9 "vasco",   
-- feminine nouns with a masculine article     
 n10 "agua",    
 n10 "aguila",    
 n10 "ama", 
-- masculine nouns that get an accent in plural 
 n11 "joven", 
 n11 "crimen", 
-- feminine nouns that get an accent in plural 
--n12 "?", 
-- masculine nouns borrowed from english get an -s in plur 
 n13 "camping", 
 n13 "poster", 
 n13 "comic", 
-- feminine nouns borrowed from english get an -s in plur 
-- n14 "?", 
-- irregular nouns
-- n15 masculine irregular nouns
-- n16 feminine irregular nouns
 n15 "albal",
----------------------------------------------------------------   
-- a3 - same form in both mask and fem   
-- adj ending in -e 			plur = -s   
-- nationality ending in -, -a, -ense	plur = -s (-, also gets -es in plur)   
-- adj ending in a consonant		plur = -es 
 a3 "verosmil", 
-- a4 - infexible adjectives 
 a4 "rosa",   
 a4 "naranja",   
 a4 "violeta",   
 a4 "lila",   
 a4 "turquesa",   
 aIrreg "grande",   
 aIrreg "pequeo",   
 aIrreg "bueno",   
 aIrreg "malo",  
 aIrreg "mucho",  
 aIrreg "poco",  
----------------------------------------------------------------    
-- Adverbs 
----------------------------------------------------------------   
-- verbs  
-- regular -ar-verbs   
 v1 "zurrar", 
----------------------------------------------------------------   
-- regular -er-verbs  
 v2 "vender", 
 
----------------------------------------------------------------  
-- regular -ir-verbs   
 v3 "zurrir",  
----------------------------------------------------------------   
-- regular reflexive -ar, -er and -ir-verbs  
 vrefl "zullarse", 
----------------------------------------------------------------   
-- Irregular verbs  
-- v4: ser 1 (aux. verb), ir 46        
 v4 "ser",  
 v4 "ir", 
--v5; estar 2     
 v5 "estar",  
--v6; haber 3 (aux. verb), caber 19, saber 71     
 v6 "haber",  
 v6 "caber",  
 v6 "resaber",  
 v6 "saber",  
--v7; tener 4, poner 60, venir 82     
 v7 "venir",  
--reflexive not done yet 			--Reflexive verbs  
--vref7 "atenerse",  
--v8; romper 6, volver , pudrir 59 		-- Irregular participle  
 v8 "romper",
 v8 "volver",
 v8 "pudrir",  
--v9; descolorir 7, denegrir 7,..., usucapir 7	-- Defect verbs  
 v9 "adir",     
 v9 "denegrir",     
 v9 "descolorir",  
 v9 "fallir",        
 v9 "preterir",     
 v9 "usucapir",   
--v10; abrir 7, ... 				-- Irregular participle       
 v10 "abrir",   
 v10 "adscribir",   
 v10 "circunscribir",   
 v10 "cubrir",   
 v10 "describir",   
 v10 "descubrir",   
 v10 "encubrir",   
 v10 "entreabrir",   
 v10 "escribir",   
 v10 "inscribir",   
 v10 "manuscribir",   
 v10 "prescribir",  
 v10 "proscribir",   
 v10 "reabrir",   
 v10 "reinscribir",   
 v10 "rescribir",   
 v10 "sobrescribir",   
 v10 "subscribir",   
 v10 "suscribir",   
 v10 "transcribir",   
 v10 "trascribir",  
--v11; abolir 8, balbucir 8, ...   		-- Defect verbs  
 v11 "abolir",    
 v11 "agredir",  
 v11 "aguerrir",    
 v11 "arrecir",    
 v11 "aterir",    
 v11 "blandir",    
 v11 "colorir",    
 v11 "concernir",  
 v11 "empedernir",    
 v11 "garantir",    
 v11 "manir",    
 v11 "transgredir",    
 v11 "trasgredir",  
--v12; actuar 9, airar 12, aullar 15, guiar 43  
 v12 "zurriar",  
--reflexive not done yet			-- Reflexive verbs  
 vref12 "calofriarse",  
 vref12 "calosfriarse",  
 vref12 "desahitarse",  
 vref12 "desaislarse",  
 vref12 "entrecriarse",  
 vref12 "enzainarse",  
 vref12 "refriarse",  
 vref12 "taimarse",  
--v13; adquirir 10, defender 29, discernir 33, mover 50, (volver 84 -to v8)    
 v13 "revolver",  
--reflexive					-- Reflexive verbs  
 vref12 "coextenderse",  
 vref12 "desentenderse",  
 vref12 "sobreverterse",  
 vref12 "condolerse",  
--v14; ahincar 11, enraizar 39     
 v14 "ahincar",  
 v14 "arrusticar",  
 v14 "arcaizar",  
 v14 "desraizar",  
 v14 "enraizar",  
 v14 "europeizar",  
 v14 "hebraizar",  
 v14 "judaizar", 
--v15; andar 13     
 v15 "andar",  
 v15 "desandar",  
--v16; asir 14, coger 23, conocer 25, delinquir 30,     
-- dirigir 32, distinguir 34, lucir 48,     
-- parecer 54, (placer 57 obs! extra forms)    
 v16 "placer",  
--reflexiva not done yet			-- Reflexive verbs  
 vref16 "translucirse",  
 vref16 "aloquecerse",  
 vref16 "avanecerse",  
 vref16 "canecerse",  
 vref16 "condolecerse",  
 vref16 "desembebecerse",  
 vref16 "desperecerse",  
 vref16 "eflorecerse",  
 vref16 "embellaquecerse",  
 vref16 "empoltronecerse",  
 vref16 "encabellecerse",  
 vref16 "engrumecerse",  
 vref16 "enmarillecerse",  
 vref16 "ensilvecerse",  
 vref16 "entigrecerse",  
 vref16 "entreparecerse",  
 vref16 "escalfecerse",  
 vref16 "remostecerse", 
--v17; avergonzar 16     
 v17 "avergonzar",  
--v18; averiguar 17, cazar 21, pagar 53, sacar 72     
 v18 "zurriagar", 
--reflexive 			--Reflexive verbs   
 vref16 "abodocarse",  
 vref16 "aborrascarse",  
 vref16 "aborregarse",  
 vref16 "aborricarse",  
 vref16 "aborrugarse",  
 vref16 "abotagarse",  
 vref16 "abotargarse",  
 vref16 "abruzarse",  
 vref16 "abuzarse",  
 vref16 "achubascarse",  
 vref16 "acorrucarse",  
 vref16 "acurrucarse",  
 vref16 "adonizarse",  
 vref16 "afoscarse",  
 vref16 "agringarse",  
 vref16 "ahornagarse",  
 vref16 "ajaquecarse",  
 vref16 "alfeicarse",  
 vref16 "alipegarse",  
 vref16 "anastomizarse",  
 vref16 "andaluzarse",  
 vref16 "angelizarse",  
 vref16 "apangarse",  
 vref16 "apaniguarse",  
 vref16 "aparragarse",  
 vref16 "apochongarse",  
 vref16 "apozarse",  
 vref16 "ariscarse",  
 vref16 "arrepanchigarse",  
 vref16 "averrugarse",  
 vref16 "bifurcarse",  
 vref16 "bilocarse",  
 vref16 "coaligarse",  
 vref16 "coscarse",  
 vref16 "desarrancarse",  
 vref16 "desbrazarse",  
 vref16 "descalabazarse",  
 vref16 "desemboscarse",  
 vref16 "desparrancarse",  
 vref16 "desperezarse",  
 vref16 "despernancarse",  
 vref16 "embancarse",  
 vref16 "embarbascarse",  
 vref16 "emborricarse",  
 vref16 "embregarse",  
 vref16 "embroncarse",  
 vref16 "empanzarse",  
 vref16 "empelazgarse",  
 vref16 "enamoricarse",  
 vref16 "enamoriscarse",  
 vref16 "enancarse",  
 vref16 "encenagarse",  
 vref16 "endomingarse",  
 vref16 "endrogarse",  
 vref16 "enfroscarse",  
 vref16 "enfurruscarse",  
 vref16 "engasgarse",  
 vref16 "engringarse",  
 vref16 "engusgarse",  
 vref16 "enjabegarse",  
 vref16 "enmalezarse",  
 vref16 "enmaniguarse",  
 vref16 "entabacarse",  
 vref16 "entecarse",  
 vref16 "entercarse",  
 vref16 "entorcarse",  
 vref16 "envegarse",  
 vref16 "escagarruzarse",  
 vref16 "esparrancarse",  
 vref16 "esperezarse",  
 vref16 "espernancarse",  
 vref16 "ferrificarse",  
 vref16 "fosilizarse",  
 vref16 "fugarse",  
 vref16 "intersecarse",  
 vref16 "macarse",  
 vref16 "machascarse",  
 vref16 "malignizarse",  
 vref16 "poltronizarse",  
 vref16 "remilgarse",  
 vref16 "repanchigarse",  
 vref16 "repantigarse",  
 vref16 "romadizarse",  
 vref16 "suberificarse",  
 vref16 "timpanizarse",  
 vref16 "trasroscarse",  
 vref16 "trifurcarse",  
 vref16 "univocarse",  
 vref16 "zurruscarse", 
--v19; bruir 18, taer 78     
 v19 "astriir",  
 v19 "bruir",  
 v19 "bullir",  
 v19 "desmullir",  
 v19 "empeller",  
 v19 "engullir",  
 v19 "gair",  
 v19 "gruir",  
 v19 "guair",  
 v19 "juir",  
 v19 "mullir",  
 v19 "muir",  
 v19 "plair",  
 v19 "rebullir",  
 v19 "regair",  
 v19 "regruir",  
 v19 "remullir",  
 v19 "restriir",  
 v19 "retiir",  
 v19 "salpullir",  
 v19 "sarpullir",  
 v19 "taer",  
 v19 "tullir",  
 v19 "zabullir",  
 v19 "zambullir", 
--rexlexive not done yet			-- Reflexive verbs  
 vref16 "descabullirse",  
 vref16 "escabullirse",  
--v20; caer 20, creer 26, roer 70, traer 79     
 v20 "abstraer",  
 v20 "atraer",  
 v20 "caer",  
 v20 "contraer",  
 v20 "corroer",  
 v20 "creer",  
 v20 "decaer",  
 v20 "descaer",  
 v20 "descreer",  
 v20 "desposeer",  
 v20 "desproveer",  
 v20 "detraer",  
 v20 "distraer",  
 v20 "extraer",  
 v20 "leer",  
 v20 "maltraer",  
 v20 "poseer",  
 v20 "proveer",  
 v20 "recaer",  
 v20 "releer",  
 v20 "retraer",  
 v20 "retrotraer",  
 v20 "roer",  
 v20 "sobreseer",  
 v20 "substraer",  
 v20 "sustraer",  
 v20 "traer",  
--v21; cocer 22  
 v21 "cocer",  
 v21 "descocer",  
 v21 "destorcer",  
 v21 "escocer",  
 v21 "recocer",  
 v21 "retorcer",  
 v21 "torcer",  
--v22; colgar 24, empezar 37, forzar 42, jugar 47, regar 66, trocar 80      
 v22 "abnegar",  
 v22 "almorzar",  
 v22 "alongar",  
 v22 "cegar",  
 v22 "clocar", 
 v22 "colgar",  
 v22 "comenzar",  
 v22 "denegar",  
 v22 "derrenegar",  
 v22 "derrengar",  
 v22 "desasosegar",  
 v22 "descolgar",  
 v22 "desosegar",  
 v22 "despezar",  
 v22 "desplegar",  
 v22 "empezar",  
 v22 "emporcar", 
 v22 "enclocar", 
 v22 "enlenzar", 
 v22 "enrocar",   
 v22 "esforzar",  
 v22 "estregar", 
 v22 "forzar",  
 v22 "fregar",  
 v22 "holgar",  
 v22 "jimenzar",  
 v22 "jugar",  
 v22 "negar",  
 v22 "plegar",  
 v22 "recomenzar",  
 v22 "reforzar",  
 v22 "refregar",  
 v22 "regar",  
 v22 "renegar",  
 v22 "replegar",  
 v22 "resegar",  
 v22 "restregar", 
 v22 "revolcar",  
 v22 "rogar",  
 v22 "segar",  
 v22 "sorregar",  
 v22 "sosegar",  
 v22 "trasegar",  
 v22 "trasfregar", 
 v22 "trastrocar",  
 v22 "trocar",  
 v22 "tropezar", 
 v22 "volcar",   
--reflexive				-- Reflexive verbs  
-- vref22 "disforzarse",  
--v23; dar 27  
 v23 "dar", 
--v24; decir 28     
 v24 "decir",  
 v24 "condecir",  
 v24 "redecir",  
--v25; desosar 31, errar 41     
 v25 "aberrar",  
 v25 "desosar",  
 v25 "errar",  
--v26; dormir 35, sentir 76     
 v26 "adherir",  
 v26 "adormir",  
 v26 "advertir",  
 v26 "asentir",  
 v26 "circunferir",  
 v26 "conferir",  
 v26 "consentir",  
 v26 "controvertir",  
 v26 "convertir",  
 v26 "deferir",  
 v26 "desadvertir",  
 v26 "desconsentir",  
 v26 "desmentir",  
 v26 "diferir",  
 v26 "digerir",  
 v26 "disentir",  
 v26 "divertir",  
 v26 "dormir",  
 v26 "herir",  
 v26 "hervir",  
 v26 "inferir",  
 v26 "ingerir",  
 v26 "injerir",  
 v26 "inserir",  
 v26 "interferir",  
 v26 "invertir",  
 v26 "malherir",  
 v26 "mentir",  
 v26 "morir",  
 v26 "pervertir",  
 v26 "preferir",  
 v26 "premorir",  
 v26 "presentir",  
 v26 "proferir",  
 v26 "reconvertir",  
 v26 "referir",  
 v26 "reherir",  
 v26 "rehervir",  
 v26 "requerir",   
 v26 "revertir",  
 v26 "sentir",  
 v26 "subvertir",  
 v26 "sugerir",  
 v26 "transferir",  
 v26 "trasferir",  
 v26 "zaherir", 
--reflexive				--Reflexive verbs  
-- vref26 "arrepentirse",  
-- vref26 "resentirse",  
--v27; elegir 36     
 v27 "colegir",  
 v27 "corregir",  
 v27 "elegir",  
 v27 "preelegir",  
 v27 "recolegir",  
 v27 "reelegir",  
 v27 "regir",  
--v28; encontrar 38, pensar 56     
 v28 "volar", 
--v29; erguir 40, seguir 75     
 v29 "conseguir",  
 v29 "erguir",  
 v29 "perseguir",  
 v29 "proseguir",  
 v29 "reseguir",  
 v29 "seguir",  
 v29 "subseguir",  
--v30; hacer 44, satisfacer 74     
 v30 "contrahacer",  
 v30 "deshacer",  
 v30 "hacer",  
 v30 "licuefacer",  
 v30 "rarefacer",  
 v30 "rehacer",  
 v30 "satisfacer",  
 v30 "tumefacer",  
--v31; influir 45     
 v31 "sustituir", 
--v32; mecer 49, yacer 85, zurcir 86     
 v32 "coercer",  
 v32 "convencer",  
 v32 "desfruncir",  
 v32 "desuncir",  
 v32 "ejercer",  
 v32 "estarcir",  
 v32 "fruncir",  
 v32 "mecer",  
 v32 "remecer",  
 v32 "resarcir",  
 v32 "rezurcir",  
 v32 "subyacer",  
 v32 "uncir",  
 v32 "vencer",  
 v32 "yacer",  
 v32 "zurcir",  
--v33; or 51  
 v33 "desor",  
 v33 "entreor",  
 v33 "or",  
 v33 "trasor",  
--v34; oler 52     
 v34 "oler",  
--v35; acaecer 54, acontecer 54, aplacer 57     
 v35 "acaecer",  
 v35 "acontecer",  
 v35 "aplacer",  
--v36; pedir 55, reir 68  
 v36 "astreir",  
 v36 "ceir",  
 v36 "competir",  
 v36 "concebir",  
 v36 "constreir",  
 v36 "derretir",  
 v36 "desceir",  
 v36 "deservir",  
 v36 "despedir",  
 v36 "desteir",  
 v36 "desvestir",  
 v36 "embestir",  
 v36 "envestir",  
 v36 "estreir",  
 v36 "expedir",  
 v36 "gemir",  
 v36 "gernir",  
 v36 "henchir",  
 v36 "heir",  
 v36 "impedir",  
 v36 "investir",  
 v36 "medir",  
 v36 "pedir",  
 v36 "preconcebir",  
 v36 "receir",  
 v36 "reexpedir",  
 v36 "rehenchir",  
 v36 "remedir",  
 v36 "rendir",  
 v36 "reir",  
 v36 "repetir",  
 v36 "reteir",  
 v36 "revestir",  
 v36 "servir",  
 v36 "sobrevestir",  
 v36 "teir",  
 v36 "travestir",  
 v36 "vestir", 
--reflexive				-- Reflexive verbs  
 vref12 "acomedirse",  
 vref12 "comedirse",  
 vref12 "descomedirse",  
 vref12 "desmedirse",  
--v37; abarse  57 			-- Defect verbs   
 v37 "abarse", 
--v38; poder 58, querer 64     
 v38 "poder",  
 v38 "bienquerer",  
 v38 "desquerer",  
 v38 "malquerer",  
 v38 "querer", 
--v39; pudrir 59 is a regular -ir-verb, to v8    
--v40; predecir 61     
 v40 "antedecir",  
 v40 "bendecir",  
 v40 "contradecir",  
 v40 "desdecir",  
 v40 "entredecir",  
 v40 "predecir",  
--v41; producir 62     
 v41 "aducir",  
 v41 "conducir",  
 v41 "coproducir",  
 v41 "deducir",  
 v41 "inducir",  
 v41 "introducir",  
 v41 "producir",  
 v41 "reconducir",  
 v41 "reducir",  
 v41 "reproducir",  
 v41 "retraducir",  
 v41 "seducir",  
 v41 "traducir",  
--v42; prohibir 63, reunir 69     
 v42 "cohibir",  
 v42 "prohibir",  
 v42 "reunir",  
--v43; raer 65     
 v43 "raer", 
--v44; rer 67  
 v44 "desler",  
 v44 "engrer",  
 v44 "frer",  
 v44 "refrer",  
 v44 "rer",  
 v44 "sofrer",  
 v44 "sonrer",  
--v45; salir  73, valer 81     
 v45 "resalir",  
 v45 "salir",  
 v45 "sobresalir",  
 v45 "equivaler",  
 v45 "prevaler",  
 v45 "valer",  
--v46; soler 77     
 v46 "soler",  
--v47; ver 83  
 v47 "antever",  
 v47 "entrever",  
 v47 "prever",  
 v47 "rever",  
 v47 "trasver",  
 v47 "ver",  
--v48; prender 6, imprimir 7                       -- Double participle 
 v48 "imprimir", 
 v48 "prender",  
--v49; llover 89 
 v49 "llover",

----------------------------------------------------------------   
-- personal nouns 

 pnMasc  "amazonas",   
 pnMasc  "antonio",   
 pnMasc  "baltico",   
 pnMasc  "caldern",   
 pnMasc  "carlos",   
 pnMasc  "cndor",   
 pnMasc  "enrique",   
 pnMasc  "guadalquivir",   
 pnMasc  "guadarrama",   
 pnMasc  "jesus",   
 pnMasc  "jos",   
 pnMasc  "julio", 
 pnMasc  "lorenzo", 
 pnMasc  "mediterrneo",   
 pnMasc  "pablo",   
 pnMasc  "pedro",   
 pnMasc  "plaza",   
 pnMasc  "quijote", 
 pnMasc  "rialto",   
 pnMasc  "teide",   
 pnMasc  "alejandro", 
 pnMasc  "aristteles", 
 pnMasc  "bernardo", 
 pnMasc  "hrcules", 
 pnMasc  "ruy",  
 pnMasc  "nicols", 
 pnMasc  "toboso", 
 pnMasc  "caro",   
 pnMasc  "bucfalo", 
 pnMasc  "rosinante",    
 pnFem   "espaa",   
 pnFem   "suecia",     
 pnFem   "barcelona",   
 pnFem   "maria",   
 pnFem   "teresa",   
 pnFem   "rosa",   
 pnFem   "carmencita",   
 pnFem   "ana",   
 pnFem   "andrea",   
 pnFem   "dulcinea",   
 pnFem   "lucia", 
 pnFem   "blanca",  

-- ----------------------------------------------------------------   
-- -- Pronouns   
-- -- indefinite pronouns   
 indefPron "alguien",   
 indefPron "algo",   
 indefPron "nada",   
 indefPron "nadie",   
 indefPron "tan",   
 indefPron "bastante",   
 indefPron "tanto",   
 indefPron "demasiado",   
 indefPron "mayora",  
 indefPron "muy",   
 iuPron    "alguno", 
 iuPron    "demasiado", 
 iuPron    "ninguno", 
 iuPron    "uno", 
 iuPron    "otro", 
 iuPron    "todo", 
 iuPron    "mismo", 
 iuPron    "mucho", 
 iuPron    "poco",  
 iuPron    "tanto",  
-- -- demonstrative pronouns 
 demoPron  "este", 
 demoPron  "ese", 
 demoPron  "aquel", 
-- -- relative pronouns 
 relPron "que", 
 relPron "quien", 
 relPron "cual", 
 relPron "cuyo", 
 relPron "donde", 
 relPron "cuanto", 
-- -- interrogative pronouns
 intPron "dnde",  
 intPron "qu", 
 intPron "quin",  
 intPron "cal",   
 intPron "cunto", 
 intPron "cmo", 
-- ----------------------------------------------------------------    
-- -- Numbers 
 n "uno", 
 n "dos", 
 n "tres", 
 n "cuatro", 
 n "cinco", 
 n "seis", 
 n "siete", 
 n "ocho", 
 n "nueve", 
 n "diez", 
 n "once", 
 n "doce", 
 n "trece", 
 n "catorce", 
 n "quince", 
 n "diecisis", 
 n "diecisiete", 
 n "dieciocho",  
 n "diecinueve", 
 n "veintiuno", 
 n "veinte", 
 n "veintids", 
 n "veintitrs", 
 n "veinticuatro", 
 n "veinticinco", 
 n "veintiseis", 
 n "veintisiete", 
 n "veintiocho", 
 n "veintinueve", 
 n "treinta", 
 n "cuarenta", 
 n "cincuenta", 
 n "sesenta", 
 n "setenta", 
 n "ochenta", 
 n "noventa", 
 n "ciento", 
 n "doscientos", 
 n "trescientos", 
 n "cuatrocientos", 
 n "quinientos", 
 n "seiscientos", 
 n "setecientos", 
 n "ochocientos", 
 n "novecientos", 
 n "mil", 
 n "milln", 
 n "millones", 
 o "primero", 
 o "segundo", 
 o "tercero", 
 o "cuarto", 
 o "quinto", 
 o "sexto", 
 o "sptimo", 
 o "octavo", 
 o "noveno", 
 o "dcimo", 
 o "unodcimo", 
 o "duodcimo", 
-- --------------------------------------------------------------  
-- -- Interjections   
 interj "hola",   
 interj "vale",  
 interj "hombre",  
 interj "oh",
 interj "gracias",
-- ----------------------------------------------------------------    
-- -- Prepositions 
 prep "a",   
 prep "ante",   
 prep "bajo",   
 prep "con",   
 prep "contra",   
 prep "de",   
 prep "desde",   
 prep "despus",   
 prep "durante",   
 prep "en",   
 prep "entre",   
 prep "excepto",   
 prep "hace",   
 prep "hacia",   
 prep "hasta",   
 prep "incluso", 
 prep "mediante",      
 prep "menos",   
 prep "para",   
 prep "por", 
 prep "segn",   
 prep "sin",   
 prep "sino",   
 prep "sobre",   
 prep "tras", 
-- -------------------------------------------------------------- 
-- -- Conjunctions 
 conj "con", 
 conj "e",     
 conj "entonces", 
 conj "mas",   
 conj "ni",   
 conj "o",   
 conj "pero",   
 conj "pues",   
 conj "y",    
 conj "aunque",   
 conj "como",  
 conj "cuando",  
 conj "mientras",  
 conj "porque",  
 conj "pues",   
 conj "que",   
 conj "si",   
-- ---------------------------------------------------------------- 
 indefArt "un",
 indefArt1 "una",
 defArt "el",
 defArt1 "la",
 defArt2 "lo"
 ]   
